Subject: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Stefan Monnier <[email-masked]>
Date: Sun, 08 Apr 2012 22:20:50 -0400

>> For example, if you went to eshell and typed 'sudo rm -rf
>> /opt/folder' it would complain about permissions being needed and
>> wouldn't query for password. Bug doesn't exist with relative paths.
>> Bug does exist with wildcards.
> If you want to use absolute paths in eshell, you should apply
> rm -rf /sudo::/opt/folder

While using Tramp might make sense, I think that "sudo rm -rf /foo/bar"
is a perfectly valid command and wonder why it wouldn't work correctly.

        Stefan